Dispatch a simulation suite run (fan-out per item)
POST
/
v1
/
sim-suites
/
{suite_id}
/
runs
Dispatch a simulation suite run (fan-out per item)
curl --request POST \
--url https://api-sandbox.featherhq.com/v1/sim-suites/{suite_id}/runs \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "voice",
"tool_overrides": {},
"budget_usd": 1,
"idempotency_key": "<string>"
}
'import requests
url = "https://api-sandbox.featherhq.com/v1/sim-suites/{suite_id}/runs"
payload = {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "voice",
"tool_overrides": {},
"budget_usd": 1,
"idempotency_key": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agent_revision_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
channel: 'voice',
tool_overrides: {},
budget_usd: 1,
idempotency_key: '<string>'
})
};
fetch('https://api-sandbox.featherhq.com/v1/sim-suites/{suite_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suite_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"idempotency_key": "<string>",
"runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenario_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "text",
"tool_overrides": {},
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"error_text": "<string>",
"inputs_snapshot": {},
"created_at": "2023-11-07T05:31:56Z",
"suite_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suite_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suite_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suite_attempt": 1,
"sut_snapshot_sha256": "<string>",
"idempotency_key": "<string>",
"budget_usd": "<string>",
"spent_usd": "<string>",
"stop_reason": "<string>",
"persona_turn_count": 0,
"agent_turn_count": 0,
"transcript_chars": 0,
"heartbeat_at": "2023-11-07T05:31:56Z",
"recording_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recording_status": "<string>"
}
],
"release_eval_status": "<string>",
"release_eval_verdict": {
"status": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suite_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suite_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": {
"total_scenarios": 0,
"passed_scenarios": 0,
"failed_scenarios": 0,
"lifecycle_failed_scenarios": 0,
"pending_scenarios": 0,
"critical_failures": 0
},
"schema_version": 2,
"agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max_failures": 0,
"scenarios": [
{
"simulation_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenario_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"session_eval_status": "<string>",
"suite_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suite_attempt": 1,
"sut_snapshot_sha256": "<string>",
"simulation_status": "<string>",
"simulation_stop_reason": "<string>",
"failure_source": "<string>",
"critical_total": 0,
"critical_succeeded": 0,
"critical_failed": 0,
"critical_pending": 0,
"evaluators": [
{
"evaluator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"name": "<string>",
"is_critical": false,
"severity": "<string>",
"score": 123,
"threshold": 123,
"reason": "<string>"
}
]
}
]
},
"release_eval_completed_at": "2023-11-07T05:31:56Z",
"release_eval_error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Body
application/json
Request body for POST /v1/sim-suites/{suite_id}/runs.
suite_id is taken from the path. The orchestrator fans the suite out into
one SimulationRun per item, all pinned to the same agent/revision.
Available options:
text, voice Show child attributes
Show child attributes
Required range:
x >= 0Required string length:
1 - 128Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Dispatch a simulation suite run (fan-out per item)
